java.awt.event

## Interface InputMethodListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AWTEventMulticaster

      public interface InputMethodListener
      extends EventListener

  The listener interface for receiving input method events. A text editing component has to install an input method event listener in order to work with input methods.

  The text editing component also has to provide an instance of InputMethodRequests.

  Since:
    1.2
  See Also:
    `InputMethodEvent`, `InputMethodRequests`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `caretPositionChanged(InputMethodEvent event)` Invoked when the caret within composed text has changed.
    `void` | `inputMethodTextChanged(InputMethodEvent event)` Invoked when the text entered through an input method has changed.

- - ### Method Detail

    - #### inputMethodTextChanged

          void inputMethodTextChanged(InputMethodEvent event)

      Invoked when the text entered through an input method has changed.

    - #### caretPositionChanged

          void caretPositionChanged(InputMethodEvent event)

      Invoked when the caret within composed text has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.